Chromium Code Reviews
Help | Chromium Project | Sign in
(7)

Issue 25783002: Abstract content::BrowserThread usage out of AutofillWebDataBackendImpl. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by blundell (OOO until June 2)
Modified:
2 years, 8 months ago
CC:
chromium-reviews, benquan, browser-components-watch_chromium.org, Dane Wallinga, dyu1, Albert Bodenhamer, estade+watch_chromium.org, Ilya Sherman (Away May 26-30), rouslan+autofillwatch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Abstract content::BrowserThread usage out of AutofillWebDataBackendImpl. Instead, this class now takes in MessageLoopProxy's for the UI thread and DB thread. All operations that were previously on BrowserThread are changed to the corresponding operations on MessageLoopProxy. A follow-up change will perform a similar abstraction for AutofillWebDataService. BUG=303017 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=226724

Patch Set 1 #

Total comments: 4

Patch Set 2 : Response to review #

Messages

Total messages: 7 (0 generated)
blundell (OOO until June 2)
Hi Ilya, This challenges follows patterns from https://chromiumcodereview.appspot.com/16174013/. Thanks, Colin
2 years, 8 months ago (2013-10-02 19:49:13 UTC) #1
Ilya Sherman (Away May 26-30)
Thanks. LGTM % nits: https://codereview.chromium.org/25783002/diff/1/components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h File components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h (right): https://codereview.chromium.org/25783002/diff/1/components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h#newcode11 components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h:11: #include "base/message_loop/message_loop_proxy.h" nit: Seems like ...
2 years, 8 months ago (2013-10-02 23:27:00 UTC) #2
blundell (OOO until June 2)
https://codereview.chromium.org/25783002/diff/1/components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h File components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h (right): https://codereview.chromium.org/25783002/diff/1/components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h#newcode11 components/autofill/core/browser/webdata/autofill_webdata_backend_impl.h:11: #include "base/message_loop/message_loop_proxy.h" On 2013/10/02 23:27:01, Ilya Sherman wrote: > ...
2 years, 8 months ago (2013-10-03 05:23:33 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/blundell@chromium.org/25783002/11001
2 years, 8 months ago (2013-10-03 05:23:54 UTC) #4
commit-bot: I haz the power
Retried try job too often on win_rel for step(s) unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_rel&number=205057
2 years, 8 months ago (2013-10-03 06:59:38 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/blundell@chromium.org/25783002/11001
2 years, 8 months ago (2013-10-03 07:26:48 UTC) #6
commit-bot: I haz the power
2 years, 8 months ago (2013-10-03 10:23:52 UTC) #7
Message was sent while issue was closed.
Change committed as 226724
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld baff085-tainted